import os
import testinfra.utils.ansible_runner


testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')

PHOEBUS_VERSION = '4.6.0-SNAPSHOT'


def test_default(host):
    cmd = host.run("/opt/ess-phoebus-{}/phoebus.sh -help".format(PHOEBUS_VERSION))
    assert cmd.rc == 0
    assert " _______           _______  _______  ______            _______ \n" + \
           "(  ____ )|\\     /|(  ___  )(  ____ \\(  ___ \\ |\\     /|(  ____ \\\n" + \
           "| (    )|| )   ( || (   ) || (    \\/| (   ) )| )   ( || (    \\/\n" + \
           "| (____)|| (___) || |   | || (__    | (__/ / | |   | || (_____ \n" + \
           "|  _____)|  ___  || |   | ||  __)   |  __ (  | |   | |(_____  )\n" + \
           "| (      | (   ) || |   | || (      | (  \\ \\ | |   | |      ) |\n" + \
           "| )      | )   ( || (___) || (____/\\| )___) )| (___) |/\\____) |\n" + \
           "|/       |/     \\|(_______)(_______/|/ \\___/ (_______)\\_______)" in cmd.stdout


def test_settings(host):
    settings = host.file("/opt/ess-phoebus-{}/phoebus.ini".format(PHOEBUS_VERSION))
    assert settings.exists
    assert settings.is_file
    assert settings.contains("org.phoebus.pv.ca/addr_list=127.0.0.1")


def test_java_path(host):
    start_script = host.file("/opt/ess-phoebus-{}/phoebus.sh".format(PHOEBUS_VERSION))
    assert start_script.contains("/opt/java/jdk")
